The CVE-2018-15982 is a bug that allows remote code execution in Flash Player up to 31.0.0.153, spotted in the wild as a 0day. Patched on December 05, 2018 with APSB18-42.

https://malware.dontneedcoffee.com/2019/01/CVE-2018-15982.html#fallout